# Uses of Interface
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceReadContinuation

Packages that use OOCIOHandler.SourceReadContinuation
Package
Description
org.apache.sysds.runtime.ooc.cache.io

## Uses of OOCIOHandler.SourceReadContinuation in org.apache.sysds.runtime.ooc.cache.io

Fields in org.apache.sysds.runtime.ooc.cache.io declared as OOCIOHandler.SourceReadContinuation
Modifier and Type
Field
Description
`final OOCIOHandler.SourceReadContinuation`
OOCIOHandler.SourceReadResult.`continuation`
Methods in org.apache.sysds.runtime.ooc.cache.io with parameters of type OOCIOHandler.SourceReadContinuation
Modifier and Type
Method
Description
`CompletableFuture<OOCIOHandler.SourceReadResult>`
OOCIOHandler.`continueSourceRead(OOCIOHandler.SourceReadContinuation continuation, long maxBytesInFlight)`
Continue a previously throttled source read using the provided continuation token.
`CompletableFuture<OOCIOHandler.SourceReadResult>`
OOCMatrixIOHandler.`continueSourceRead(OOCIOHandler.SourceReadContinuation continuation, long maxBytesInFlight)`
Constructors in org.apache.sysds.runtime.ooc.cache.io with parameters of type OOCIOHandler.SourceReadContinuation
Modifier
Constructor
Description
``
`SourceReadResult(long bytesRead, boolean eof, OOCIOHandler.SourceReadContinuation continuation, List<OOCIOHandler.SourceBlockDescriptor> blocks)`